diff --git a/scanroutines.c b/scanroutines.c
index 816584db..3b461866 100644
--- a/scanroutines.c
+++ b/scanroutines.c
@@ -437,8 +437,11 @@ scan_routine_t sm_get_scanroutine(scan_data_type_t dt, scan_match_type_t mt)
     CHOOSE_ROUTINE_FOR_ALL_NUMBER_TYPES(MATCHLESSTHAN, LESSTHAN)
     CHOOSE_ROUTINE_FOR_ALL_NUMBER_TYPES(MATCHRANGE, RANGE)
 
-    CHOOSE_ROUTINE(BYTEARRAY, BYTEARRAY, MATCHEQUALTO, EQUALTO) 
-    CHOOSE_ROUTINE(STRING, STRING, MATCHEQUALTO, EQUALTO) 
+    CHOOSE_ROUTINE(BYTEARRAY, BYTEARRAY, MATCHANY, ANY)
+    CHOOSE_ROUTINE(BYTEARRAY, BYTEARRAY, MATCHEQUALTO, EQUALTO)
+
+    CHOOSE_ROUTINE(STRING, STRING, MATCHANY, ANY)
+    CHOOSE_ROUTINE(STRING, STRING, MATCHEQUALTO, EQUALTO)
 
     return NULL;
 }
